# $Id: crystal-gt.spec,v 1.1 2003/10/14 18:58:36 rexdieter Exp $

## kde-redhat macros
%define rhversion %(perl -pe '/(\\d+)\\.?(\\d)?/; $_="$1".($2||0)' /etc/redhat-release)

%define kdebase_ver 6:3.1

%define fedora_release .fdr.2

Name:	 crystal-gt
Summary: Crystal GT (Good Times) KDE Icon set
Epoch:	 0
Version: 0.9
Release: 0%{?fedora_release}
Group: 	 User Interface/Desktops	
License: LGPL
URL:	 http://linuxcult.com/forum/crystal.php
Source:  http://linuxcult.com/forum/crystal/crystal09.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Obsoletes: crystal_icons <= %{epoch}:%{version} 
Obsoletes: crystal <= %{epoch}:%{version}
Requires: kdebase >= %{kdebase_ver}

%{?!_icondir:%define _icondir	%{_datadir}/icons}
%{?!theme:%define theme %{name}}

%description
Crystal GT (Good Times) KDE Icon set


%prep
%setup -q -n crystal 


%install
rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{_icondir}/%{theme}
cp -af index.desktop [0-9]* $RPM_BUILD_ROOT%{_icondir}/%{theme}


%clean
rm -rf $RPM_BUILD_ROOT 


%files
%defattr(0644,root,root,0755)
%{_icondir}/%{theme}


%changelog
* Tue Oct 14 2003 Rex Dieter <rexdieter at sf.net> 0:0.9-0.fdr.2
- renamed crystal -> crystal-gt

* Thu Aug 07 2003 Rex Dieter <rexdieter at sf.net> 0:0.9-0.fdr.1
- remove rhversion from Release tag, installable on all versions
- An Epoch
- Requires: kdebase

* Fri Jun 13 2003 Rex Dieter <rexdieter at sf.net> 0.9-0.fdr.0
- fedora'ize
- pgk rename: crystal_icons -> crystal
- Obsoletes: crystal_icons <= 0.85

* Fri Apr 25 2003 Rex Dieter <rexdieter at sf.net> 0.85-1.2
- remove %%doc changelog

* Tue Apr 01 2003 Rex Dieter <rexdieter at sf.net> 0.85-1.1
- rebuild.

* Tue Feb 11 2003 Rex Dieter <rexdieter at sf.net> 0.85-0.0
- kde-redhat versioning.

